Subject: Re: bug#20345: 24.4; Ellipsis no longer expands abbreviated form

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Apr 2015 17:59:13 +0300

> From: [email-masked]
> Date: Thu, 16 Apr 2015 05:34:29 +0300
> 
> 1. I launch emacs-24 -Q and insert following form in scratch buffer:
> 
>     (let ((print-length 2) (print-level 3))
>       (pp load-history (current-buffer)))
> 
> 2. I navigate to a new line and press C-x e
> 
>     (("/usr/share/emacs/24.4/lisp/emacs-lisp/pp.elc" pp-escape-newlines ...)
>      ("/usr/share/emacs/24.4/lisp/calendar/time-date.elc"
>       (defun . with-decoded-time-value)
>       ...)
>      ...)
> 
> 3. I navigate to previous line and place cursor between "." and "..)"
> 4. I press <RET> and ellipsis splits in two instead of expanding abbreviation

I don't think this ever worked as you expect.  I checked as far back
as Emacs 21.4, and they all behave like you describe.

The following does behave as you describe:

  . emacs -Q
  . type into the *scratch* buffer "exec-path" (without the quotes)
  . move after the 'h' in "exec-path" and type "C-j"

In the result, you can type RET or click mouse-2 on the ellipsis, and
it will behave as you expect.  But 'pp' doesn't, and seems like it
never did.  You will see in pp.el that it does nothing special to make
the ellipsis be sensitive to clicks or other keys.

I suspect that your memories are about the recipe I show above, not
about 'pp'.